## com.bbn.openmap.tools.icon
Class OpenMapAppPartCollection.OpenMapAppPart.Poly

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry
          com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart
              com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart.Poly

Enclosing class:
  OpenMapAppPartCollection.OpenMapAppPart

public static class OpenMapAppPartCollection.OpenMapAppPart.Poly
extends OpenMapAppPartCollection.OpenMapAppPart

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart
`OpenMapAppPartCollection.OpenMapAppPart.Circle, OpenMapAppPartCollection.OpenMapAppPart.Poly`

Field Summary

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`description, name, part`

Constructor Summary
`OpenMapAppPartCollection.OpenMapAppPart.Poly(java.lang.String n, java.lang.String d, int[] xp, int[] yp)`
`OpenMapAppPartCollection.OpenMapAppPart.Poly(java.lang.String n, java.lang.String d, int[] xp, int[] yp, java.awt.geom.AffineTransform af)`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`getDescription, getIconPart, getName, setDescription, setIconPart, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenMapAppPartCollection.OpenMapAppPart.Poly

    public OpenMapAppPartCollection.OpenMapAppPart.Poly(java.lang.String n,
                                                        java.lang.String d,
                                                        int[] xp,
                                                        int[] yp)

### OpenMapAppPartCollection.OpenMapAppPart.Poly

    public OpenMapAppPartCollection.OpenMapAppPart.Poly(java.lang.String n,
                                                        java.lang.String d,
                                                        int[] xp,
                                                        int[] yp,
                                                        java.awt.geom.AffineTransform af)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details